#ifndef MINORI_SERVICES_SERVICES_H_
#define MINORI_SERVICES_SERVICES_H_

#include "core/anime.h"
#include "core/date.h"

#include <string>
#include <vector>

namespace Services {

void Synchronize();
std::vector<int> Search(const std::string& search);
std::vector<int> GetSeason(Anime::SeriesSeason season, Date::Year year);
void UpdateAnimeEntry(int id);
bool Authorize();

}; // namespace Services

#endif // MINORI_SERVICES_SERVICES_H_
